Subject: Re: bug#45521: 13.0.0; C-c C-c gives "Wrong type argument: number-or-marker-p, nil"

From: "Uwe Siart" <[email-masked]>
Date: Wed, 30 Dec 2020 10:20:12 +0100

Dear Tassilo,

edebug is something that I never used before. But I'm reading the docs 
and if I manage to get something out of it, I'll let you know.

This is what I can report so far:

- `M-x list-load-path-shadows RET' does not list any paths

- I've tried with Emacs 27.1 in its "virgin" state by making my .emacs 
completely empty and by just having nothing but the four lines to load 
AUCTeX in my site-start.el ... the error remains.  

Best,
Uwe

On 30 Dec 2020 at 9:01, Tassilo Horn wrote:

> Uwe Siart <[email-masked]> writes:
> 
> Hi Uwe,
> 
> > Not that I know of. I've attached my .emacs (therefore not cc'ed to
> > the list) and a file that issues the error.
> 
> Thanks, I've now added the list and the bug to Cc again.
> 
> > This is how I load AUCTeX in my site-start.el
> >
> > (setq TeX-auto-save t)
> > (setq TeX-parse-self t)
> > (setq-default TeX-master nil)
> > (setq TeX-auto-untabify t)
> 
> I still can't reproduce the issue with my testuser account using emacs
> 27.1, auctex-13.0.0 or 13.0.1, your .emacs (with the windows-specific
> parts removed), the above 4 lines in ~/.emacs.d/site-start.el, and your
> testdoc.tex.
> 
> Does `M-x list-load-path-shadows RET' list something?  (Maybe there's a
> leftover from an old auctex install.)
> 
> Otherwise, are you able to operate edebug?  If so, please `edebug-defun'
> `TeX-active-master-with-quotes', and tell me which expression signals
> the error.  If it's really
> 
>         (setq TeX-expand-pos
>               (+ TeX-expand-pos (length res)))
> 
> as I suspected, then you'd probably need to edebug `TeX-command-expand'
> to see why `TeX-expand-pos' stays nil rather than being set to an
> integer.
> 
> Bye,
> Tassilo